/// <reference types="node" />
import { SourceType } from "istanbulize";
import { Reporter, StreamReporter, VinylReporter } from "./reporter";
import { ReporterRegistry } from "./reporter-registry";
import { SourcedProcessCov } from "./spawn-inspected";
export interface ReportOptions<R extends Reporter = Reporter> {
    processCovs: ReadonlyArray<SourcedProcessCov>;
    reporter: R;
    outDir?: string;
}
interface ScriptData {
    sourceText: string;
    sourceType: SourceType;
}
export declare function createReporter(registry: ReporterRegistry, ids: ReadonlyArray<string>, options: any): Reporter;
export declare function reportVinyl(reporter: VinylReporter, processCovs: ReadonlyArray<SourcedProcessCov>): NodeJS.ReadableStream;
export declare function reportStream(reporter: StreamReporter, processCovs: ReadonlyArray<SourcedProcessCov>): NodeJS.ReadableStream;
export declare function createScriptDataMap(processCovs: ReadonlyArray<SourcedProcessCov>): Map<string, ScriptData>;
export {};
